Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.ldapadapter.appconn
Class STCAttributeImpl

    java.lang.Object
      com.stc.connector.ldapadapter.appconn.STCAttributeImpl

All Implemented Interfaces:
  STCAttribute

    public class STCAttributeImpl

extends java.lang.Object
implements STCAttribute

This class is used as a container for a single attribute and its values

Version:
  $Revision: 1.4 $
Author:

Constructor Summary
`protected` | `STCAttributeImpl()`
`protected` | `STCAttributeImpl(javax.naming.directory.Attribute attr)` Creates a new instance of STCAttribute

Method Summary
`int` | `countSTCValue()` Returns the number of values for this attribute
`java.lang.String` | `getName()` Method to retrieve the name of the attribute
`STCValues` | `getSTCValues()` Method to retrieve the list of values of the attribute
`void` | `reset()` Method to reset the values
`STCValue` | `retrieveSTCValue(int j)` Returns the value of the attribute at the specified index from the array of values
`void` | `setName(java.lang.String name)` Method to set the name of the attribute

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### STCAttributeImpl

    protected STCAttributeImpl()

### STCAttributeImpl

    protected STCAttributeImpl(javax.naming.directory.Attribute attr)
                        throws javax.naming.NamingException

  Creates a new instance of STCAttribute

  Parameters:
    `attr` - the Attribute object
  Throws:
    `javax.naming.NamingException` - if an error occurs while retrieving the values of the attribute

Method Detail

### reset

    public void reset()

  Method to reset the values

  Specified by:
    `reset` in interface `STCAttribute`

### getSTCValues

    public STCValues getSTCValues()

  Method to retrieve the list of values of the attribute

  Specified by:
    `getSTCValues` in interface `STCAttribute`
  Returns:
    the STCValues object associated with this attribute

### getName

    public java.lang.String getName()

  Method to retrieve the name of the attribute

  Specified by:
    `getName` in interface `STCAttribute`
  Returns:
    the name of the attribute

### setName

    public void setName(java.lang.String name)

  Method to set the name of the attribute

  Specified by:
    `setName` in interface `STCAttribute`
  Parameters:
    `name` - the name of the attribute

### countSTCValue

    public int countSTCValue()

  Returns the number of values for this attribute

  Specified by:
    `countSTCValue` in interface `STCAttribute`
  Returns:
    the count of values for this attribute

### retrieveSTCValue

    public STCValue retrieveSTCValue(int j)
                              throws java.lang.IndexOutOfBoundsException

  Returns the value of the attribute at the specified index from the array of values

  Specified by:
    `retrieveSTCValue` in interface `STCAttribute`
  Parameters:
    `j` - the index of the value to be returned
  Returns:
    the attribute value as a STCValue object
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index specified is not in range

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD